form {
  > div,
  .form-wrapper {
    display: flex;
    flex-direction: column;
    gap: gap(4);

    &.form-actions { flex-direction: row; }
  }

  label { @extend .form-label; }

  input[type="text"],
  textarea {
    @extend .form-control;
  }

  input[type="submit"] {
    @extend .btn;
    align-self: start;

    &:first-of-type { @extend .btn-primary; }
    &:not(:first-of-type) { @extend .btn-outline-secondary; }
  }

  .form-type-checkbox,
  .form-type-radios {
    @extend .form-check;

    label { @extend .form-check-label; }
  }
  input[type="checkbox"] { @extend .form-check-input; }
  input[type="radio"] { @extend .form-check-input; }

  textarea {
    width: 100%;
    max-width: 100%;
  }

  .description {
    font-size: $font-size-sm;
    color: $gray-600;
  }

  .captcha legend { display: none; }
}

.form-required {
  @extend .bi, .bi-asterisk;
  position: relative;
  visibility: hidden;
  color: $red-500;

  &::before{
    visibility: visible;
    position: absolute;
    top: 0;
    right: 0;
    font-size: .5rem;
  }
}
